Delete a List of Records

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
DELETE /profiles/{profile_id}/pages/{page_id}/records

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each record on the list

  • limit number

    maximum count of the record list

  • offset number

    skip that many record before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each record

  • exclude string

    will exclude specified fields

application/json

Body

  • id number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the deleted record id

  • 404 application/json

    Not Found - page_id does not exist or is not a page of profile_id.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

DELETE /profiles/{profile_id}/pages/{page_id}/records
curl \
 --request DELETE 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/pages/{page_id}/records' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "id": 4
  },
  {
    "id": 7
  }
]'
Request example
[
  {
    "id": 4
  },
  {
    "id": 7
  }
]
Response examples (200)
[
  {
    "id": 4
  },
  {
    "id": 7
  }
]
Response examples (404)
{
  "error_message": "The requested resource is not found"
}